{
	"format_version": "1.16.0",
	"animations": {
		"animation.fares_portal.intro_version_delay": {
			"animation_length": 0.2,
			"loop": true
		},
		"animation.fares_portal.delay_1": {
			"animation_length": 4.5,
			"loop": true
		},
		"animation.fares_portal.delay_2": {
			"animation_length": 1.0,
			"loop": true
		},
		"animation.fares_portal.power_down_delay": {
			"animation_length": 1.9,
			"loop": true
		},
		"animation.fares_portal.duplication_check": {
			"animation_length": 0.5,
			"loop": true,
			"timeline": {
				"0.0": [
					"/execute if entity @p[r=40] run function fares_portal/duplication_check"
				]
			}
		},

		"animation.fares_portal.open_cells": {
			"animation_length": 1.2,
			"loop": true,
			"timeline": {
				"0.00": [ "/function jail_cells/open_1_a" ],
				"0.25": [ "/function jail_cells/open_1_b" ],
				"0.75": [ "/function jail_cells/open_2_a" ],
				"1.00": [ "/function jail_cells/open_2_b", "@s set_cell_status_to_opened" ]
			}
		},
		"animation.fares_portal.jail_softlock_check": {
			"animation_length": 2.0,
			"loop": true,
			"timeline": {
				"0.00": [ "/function jail_cells/softlock_check" ]
			}
		},
		"animation.fares_portal.teleport_to_overworld": {
			"animation_length": 0.1,
			"loop": true,
			"timeline": {
				"0.00": [ "/execute as @a[x=~-1,y=~-1,z=~-1,dx=1,dy=0,dz=1] run function player/goto_hub" ]
			}
		},
		"animation.fares_portal.tell_pedestal_type": {
			"animation_length": 0.25,
			"loop": true,
			"timeline": {
				"0.00": [ "/execute as @a[r=3] run function player/tell_pedestal_type" ]
			}
		}
	}
}